Subject: Re: bug#9993: `vc-svn-checkin' needs "--non-interactive"

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Nov 2011 20:25:07 -0500

> Perhaps we should just add --non-interactive to vc-svn-global-switches,

That's a user var, so better leave it alone.

> or make vc-svn-command unconditionally add it, and be done with this
> once and for all (hopefully...).

That sounds right.

> Although like http://svn.haxx.se/dev/archive-2008-05/0762.shtml,
> I wonder why svn cannot default to non-interactive when stdin is not a
> tty.

We can add a comment in our code that --non-interactive is a workaround
and that svn should do it automatically since we're using a pipe.

        Stefan